/** A Date type. 

   Note that no real functionality is implemented, the code
   simply serves to demonstrate testing and test cases.
 
   This source code is from the book 
     "Flexible, Reliable Software, 2nd Edition:
       Using Patterns and Agile Development"
     First Edition published by CRC Press, 2010.
     Second Edition, available for download
       by permission.

   Author: 
     Henrik Bærbak Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

*/
public class Date {
  public enum Weekday { 
      MONDAY, TUESDAY, WEDNESDAY, 
      THURSDAY, FRIDAY, 
      SATURDAY, SUNDAY };

  /**
   * Construct a date object.
   * @param year the year as integer, i.e. year 2010 is 2010.
   * @param month the month as integer, i.e. 
   *              Januar is 1, December is 12.
   * @param dayOfMonth the day number in the month, range 1..31.
   * PRECONDITION: The date parameters must represent a valid date.
  */
  public Date(int year, int month, int dayOfMonth) {}

  /**
  * Calculate the weekday that this Date object represents.
  * @return the weekday of this date.
  */
  public Weekday dayOfWeek() {
    // Fake implementation, only for demonstrating testing.
    return Weekday.SATURDAY;
  }
}
