package paystation.manual;

import paystation.domain.*;

import static org.hamcrest.MatcherAssert.assertThat; 
import static org.hamcrest.Matchers.*;

public class TestGammaWeekendRate {
  public static void main(String[] args) {
    System.out.println( "Manual test of GammaTown Rate for Weekends");
    RateStrategy rs = 
      new AlternatingRateStrategy(new LinearRateStrategy(),
                                  new ProgressiveRateStrategy());
    // Should show 150 minutes for 500 cents
    assertThat(rs.calculateTime(500), is(150));
    // In case test fails, then exception is thrown by Hamcrest
    System.out.println("Tests pass.");
  }
}
