package paystation.manual;

import paystation.domain.*;

import static org.hamcrest.MatcherAssert.assertThat; 
import static org.hamcrest.Matchers.*;

public class TestGammaWeekdayRate {
  public static void main(String[] args) {
    System.out.println( "Manual test of GammaTown Rate for Weekdays");
    RateStrategy rs = 
      new AlternatingRateStrategy(new LinearRateStrategy(),
                                  new ProgressiveRateStrategy(),
                                  new ClockBasedDecisionStrategy());
    // Should show 200 minutes for 500 cents
    assertThat(rs.calculateTime(500), is(500/5 * 2));
    // In case test fails, then exception is thrown by Hamcrest
    System.out.println("Tests pass.");
  }
}
