import java.util.*;
/** Principles of Flexible Design. Common code in Abstract class exercise.
 
   This source code is from the book 
     "Flexible, Reliable Software, 2nd Edition:
       Using Patterns and Agile Development"
     First Edition published by CRC Press, 2010.
     Second Edition, available for download
       by permission.

   Author: 
     Henrik Bærbak Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

*/
public class InitialImplementation {
  public static void main(String[] args) {
    System.out.println( "* Initial System *" );
    IntegerList c;

    System.out.println( "* First Implementation *" );
    c = new IntegerList();
    System.out.println( "isEmpty  = "+c.isEmpty() );
    c.add(7);
    System.out.println( "isEmpty  = "+c.isEmpty() );
    c.add(9); c.add(13);
    System.out.println( "Contents = "+c.contentsAsString() );
  }
}

class IntegerList {
  private int contents[]; int index;
  public IntegerList() { contents = new int[3]; index = 0;}
  public int size() { return index; }
  public boolean add(int e) { 
    contents[index++] = e; 
    return true; 
  }
  public int get(int position) {return contents[position];}
  // following methods are data structure independent
  public boolean isEmpty() { return size() == 0; }
  public String contentsAsString() {
    String result = "[";
    for ( int i = 0; i < size()-1; i++ ) {
      result += get(i)+", ";
    }
    return result + get(size()-1)+"]";
  }
}
