/** Defines the contract for a seven segment LED display.
 
   This source code is from the book 
     "Flexible, Reliable Software, 2nd Edition:
       Using Patterns and Agile Development"
     First Edition published by CRC Press, 2010.
     Second Edition, available for download
       by permission.

   Author: 
     Henrik Bærbak Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

*/

public interface SevenSegment {
  /** turn a LED on or off.
   * @param led the number of the LED. Range is 0 to 6. The LEDs are
   * numbered top to bottom, left to right. That is, the top,
   * horizontal, LED is 0, the top left LED is 1, etc.
   * @param on if true the LED is turned on otherwise it is turned
   * off.
  */
  void setLED(int led, boolean on);
}
