/** Skeleton implementation of HotGammon.
 
   This source code is from the book 
     "Flexible, Reliable Software, 2nd Edition:
       Using Patterns and Agile Development"
     First Edition published by CRC Press, 2010.
     Second Edition, available for download
       by permission.

   Author: 
     Henrik Bærbak Christensen 
     Department of Computer Science
     Aarhus University
   
   Please visit http://www.baerbak.com/ for further information.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

*/

public class GameImpl implements Game {
  public void newGame() {}
  public void nextTurn() {}
  public boolean move(Location from, Location to) { return false; }
  public Color getPlayerInTurn() { return Color.NONE; }
  public int getNumberOfMovesLeft() { return 0; }
  public int[] diceThrown() { return new int[] {1,1}; }
  public int[] diceValuesLeft() { return new int []{}; }
  public Color winner() { return Color.NONE; }
  public Color getColor(Location location) { return Color.NONE; }
  public int getCount(Location location) { return 0; }
}
